#!/usr/bin/env python3
import include_homekit

from argparse import ArgumentParser
from homekit.config import config
from homekit.mqtt.relay import MQTTRelayController


if __name__ == '__main__':
    parser = ArgumentParser()
    parser.add_argument('--on', action='store_true')
    parser.add_argument('--off', action='store_true')
    parser.add_argument('--stat', action='store_true')

    config.load_app('test_mqtt_relay', parser=parser)
    arg = parser.parse_args()

    relay = MQTTRelayController('test')
    relay.connect_and_loop(loop_forever=False)

    if arg.on:
        relay.set_power(True)

    elif arg.off:
        relay.set_power(False)

    elif arg.stat:
        relay.send_stat(dict(
            state=False,
            signal=-59,
            fw_v=1.0
        ))
